"""Sample subscriber for testing."""

import blpapi


# pylint: disable=too-few-public-methods,too-many-arguments
class Subscriber:
    """Custom Subscriber implementation for demonstration purposes."""

    def __init__(self, session):
        self._session = session

    def subscribe(self, topics, fields, options, identity):
        """Subscribes to the provided service/topics."""

        subscription_list = blpapi.SubscriptionList()
        for topic in topics:
            subscription_list.add(
                topic, fields, options, blpapi.CorrelationId(topic)
            )
        self._session.subscribe(subscription_list, identity)


__copyright__ = """
Copyright 2020. Bloomberg Finance L.P.

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to
deal in the Software without restriction, including without limitation the
rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
sell copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:  The above
copyright notice and this permission notice shall be included in all copies
or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
IN THE SOFTWARE.
"""
